> ## Documentation Index
> Fetch the complete documentation index at: https://developer.oplog.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Product.



## OpenAPI

````yaml /api-reference/openapi.json put /openapi/v1/Products/Update
openapi: 3.0.1
info:
  title: OmniServices Web API
  version: v1
servers:
  - url: https://api.oplog.one
    description: Production Server
  - url: https://api.staging.oplog.one
    description: Staging Server
security:
  - Authorization: []
paths:
  /openapi/v1/Products/Update:
    put:
      tags:
        - Products
      summary: Update Product.
      parameters:
        - name: sku
          in: query
          schema:
            type: string
        - name: X-Tenant-Id
          in: header
          description: If you want to emulate, please enter TenantId.
          schema:
            type: string
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/UpdateProductRequestDTO'
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateProductRequestDTO'
          text/json:
            schema:
              $ref: '#/components/schemas/UpdateProductRequestDTO'
          application/*+json:
            schema:
              $ref: '#/components/schemas/UpdateProductRequestDTO'
      responses:
        '200':
          description: Success
components:
  schemas:
    UpdateProductRequestDTO:
      required:
        - name
        - type
      type: object
      properties:
        imageUrl:
          type: string
        name:
          type: string
        barcodes:
          type: array
          items:
            type: string
        type:
          $ref: '#/components/schemas/ProductType'
        category:
          type: string
        price:
          type: number
          format: double
        salePrice:
          type: number
          format: double
        currency:
          $ref: '#/components/schemas/Currency'
        taxRatio:
          type: number
          format: double
        salesUrl:
          type: string
        tag:
          type: string
        width:
          type: number
          format: double
        length:
          type: number
          format: double
        height:
          type: number
          format: double
        weight:
          type: number
          format: double
        unitOfDimension:
          $ref: '#/components/schemas/UnitOfDimensionsForProduct'
        unitOfWeight:
          $ref: '#/components/schemas/UnitOfWeightForProduct'
        integrationId:
          type: string
          format: uuid
      additionalProperties: false
    ProductType:
      enum:
        - Product
        - Bundle
      type: string
    Currency:
      enum:
        - TRY
        - USD
        - EUR
        - GBP
        - RUB
        - UAH
        - UNSUPPORTED
        - AFN
        - ALL
        - AOA
        - ARS
        - AMD
        - AWG
        - AZN
        - BSD
        - BHD
        - BDT
        - BBD
        - BYN
        - BZD
        - BMD
        - BTN
        - BOB
        - BAM
        - BWP
        - BRL
        - BGN
        - BIF
        - KHR
        - CAD
        - CVE
        - KYD
        - CLP
        - CNY
        - COP
        - KMF
        - CDF
        - CRC
        - HRK
        - CUP
        - CZK
        - DJF
        - DOP
        - EGP
        - ERN
        - SZL
        - ETB
        - FKP
        - FJD
        - XAF
        - GMD
        - GEL
        - GHS
        - GIP
        - DKK
        - GTQ
        - GNF
        - GYD
        - HTG
        - HNL
        - HUF
        - ISK
        - INR
        - IDR
        - IRR
        - IQD
        - JMD
        - JPY
        - KZT
        - KES
        - KPW
        - KRW
        - KWD
        - KGS
        - LAK
        - LBP
        - LSL
        - LRD
        - LYD
        - MOP
        - HKD
        - MGA
        - MWK
        - MYR
        - MVR
        - MUR
        - MXN
        - MDL
        - MNT
        - MZN
        - MMK
        - NAD
        - NPR
        - NIO
        - NGN
        - MKD
        - NOK
        - OMR
        - PKR
        - ILS
        - JOD
        - PAB
        - PGK
        - PYG
        - PEN
        - PHP
        - NZD
        - PLN
        - QAR
        - RON
        - RWF
        - DZD
        - MRU
        - MAD
        - SHP
        - XCD
        - WST
        - STN
        - SAR
        - RSD
        - SCR
        - SLL
        - SGD
        - BND
        - ANG
        - SBD
        - SOS
        - ZAR
        - SSP
        - LKR
        - SDG
        - SRD
        - SEK
        - CHF
        - SYP
        - TWD
        - TJS
        - TZS
        - THB
        - XOF
        - TOP
        - TTD
        - TND
        - TMT
        - AUD
        - UGX
        - AED
        - UYU
        - UZS
        - VUV
        - VES
        - VED
        - VND
        - XPF
        - YER
        - ZMW
      type: string
    UnitOfDimensionsForProduct:
      enum:
        - Cm
        - In
        - Ft
      type: string
    UnitOfWeightForProduct:
      enum:
        - Kg
        - Lb
        - G
        - Oz
      type: string
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````